import React, { PropTypes } from 'react'
import DirectionalIcon from './DirectionalIcon'

const Chevron = ({ fill, ...props}) => {
  return (
    <DirectionalIcon {...props}>
      <svg xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="100%" height="100%" viewBox="0 0 16 16">
        <g>
          <polygon fill={fill} points="14.3,12.6 8,6.3 1.7,12.6 0.3,11.1 8,3.4 15.7,11.1 "/>
        </g>
      </svg>
    </DirectionalIcon>
  )
}

Chevron.propTypes = {
  ...DirectionalIcon.propTypes
}

Chevron.defaultProps = {
  ...DirectionalIcon.defaultProps
}

export default Chevron
