import React from 'react';
import { storiesOf, action, linkTo } from '@kadira/storybook'
import {
  App,
  Box,
  Input,
  Pane,
  Content
} from '../components'

export default function inputStory (module) {
  storiesOf('Input', module)
    .add('usage', () => (
      <App white>
        <Pane white padding={10}>
          <Content markdown>
{`
# Input

The Input component is an \`input\` element. Implement the \`<Box />\` component.

\`\`\`
<Input />
\`\`\`

`}
          </Content>
          <Input />
        </Pane>
      </App>
    ))
}
